## anbox-modules 13

=== binder/Makefile ===
ccflags-y += -I$(src) -Wno-int-conversion -DCONFIG_ANDROID_BINDER_DEVICES="\"binder\""
obj-m := binder_linux.o
binder_linux-y := deps.o binder.o

KERNEL_SRC ?= /lib/modules/$(shell uname -r)/build

all:
	$(MAKE) -C $(KERNEL_SRC) V=0 M=$$PWD

install:
	cp binder_linux.ko $(DESTDIR)/

clean:
	rm -rf deps.h *.o *.ko *.mod.c *.symvers *.order .*.cmd .tmp_versions

=== debian/changelog ===
anbox-modules (13-1) unstable; urgency=medium

  * update

 -- Simon Fels <morphis@gravedo.de>  Wed, 02 Dec 2020 20:52:23 +0800

anbox-modules (13) bionic; urgency=medium

  * staging: ashmem: Fix SIGBUS crash when traversing mmaped ashmem pages
  * ashmem: account for older kernel which don't have vma_set_anonymous

 -- Simon Fels <morphis@gravedo.de>  Sun, 02 Sep 2018 13:44:17 +0200

anbox-modules (12) bionic; urgency=medium

  * Bump version for new PPA release

 -- Simon Fels <morphis@gravedo.de>  Thu, 05 Jul 2018 17:40:54 +0200

anbox-modules (11) bionic; urgency=medium

  * Split kernel modules out of anbox main repository.

 -- Shengjing Zhu <i@zhsj.me>  Fri, 08 Jun 2018 23:53:35 +0800

anbox (10) bionic; urgency=medium

  * Bump version

 -- Simon Fels <morphis@gravedo.de>  Wed, 23 May 2018 11:05:05 +0200

anbox (8) artful; urgency=medium

  * Drop upstart/systemctl session jobs

 -- Simon Fels <morphis@gravedo.de>  Fri, 14 Jul 2017 20:28:49 +0200

anbox (7) artful; urgency=medium

  * Rebuild dkms modules with the kernel asked for and not the current
    running kernel.

 -- Simon Fels <morphis@gravedo.de>  Thu, 15 Jun 2017 18:19:07 +0200

anbox (6) artful; urgency=medium

  * Add anbox-common package which ships any additional files needed for
    anbox but can't be installed with a snap as of today.

 -- Simon Fels <morphis@gravedo.de>  Sat, 29 Apr 2017 12:06:56 +0200

anbox (5) zesty; urgency=medium

  * Rework packaging to also ship things we installed through the snap
    based installer before.

 -- Simon Fels <morphis@gravedo.de>  Thu, 20 Apr 2017 19:58:22 +0200

anbox (4) zesty; urgency=medium

  * Fetch dkms version from debian package in post-install step.

 -- Simon Fels <morphis@gravedo.de>  Thu, 23 Feb 2017 19:12:15 +0100

anbox (3) zesty; urgency=medium

  * Use correct package version in our Makefile to avoid failing module
    builds on the target device.

 -- Simon Fels <morphis@gravedo.de>  Tue, 21 Feb 2017 07:36:45 +0100

anbox (1) xenial; urgency=low

  * Initial release.

 -- Simon Fels <morphis@gravedo.de>  Mon, 06 Feb 2017 21:43:58 +0100

## anbox-modules 13%2Bgit20221028

=== debian/changelog ===
anbox-modules (13+git20221028-0mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Nov 2022 11:47:25 -0500

anbox-modules (13+git20221028-0mx21) mx; urgency=medium

  * Fix for Kernel 6.0
  * Build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 26 Nov 2022 11:40:21 -0500

## anbox-modules 13+git20221028

=== ashmem/Makefile ===
ccflags-y += -I$(src) -Wno-error=implicit-int -Wno-int-conversion
obj-m := ashmem_linux.o
ashmem_linux-y := deps.o ashmem.o

KERNEL_SRC ?= /lib/modules/$(shell uname -r)/build
VZ=	$(shell uname -r | grep vz)
ifneq ($(VZ),)
ccflags-y += -DVZKERNEL
endif

all:
	$(MAKE) -C $(KERNEL_SRC) V=0 M=$$PWD

install:
	cp ashmem_linux.ko $(DESTDIR)/

clean:
	rm -rf deps.h *.o *.ko *.mod.c *.symvers *.order .*.cmd .tmp_versions

=== debian/control ===
Source: anbox-modules
Section: kernel
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Simon Fels <morphis@gravedo.de>
Uploaders:
 Shengjing Zhu <i@zhsj.me>,
Build-Depends:
 debhelper (>= 10),
 dkms,
Standards-Version: 4.1.4
Homepage: https://anbox.io
Vcs-Browser: https://github.com/anbox/anbox-modules
Vcs-Git: https://github.com/anbox/anbox-modules.git

Package: anbox-modules-dkms
Architecture: all
Depends:
 ${misc:Depends},
Description: Android kernel driver (binder, ashmem) in DKMS format.
 .
 This package contains a out-of-tree version of the core Android
 kernel functionalities binder and ashmem.
